Ulfius: _u_request Struct Reference

Ulfius HTTP Framework for REST Applications in C

Data Fields
_u_request Struct Reference
Structures

definition of the parameters available in a struct _u_request More...

`#include <ulfius.h>`

## Data Fields
char * | http_protocol
char * | http_verb
char * | http_url
char * | url_path
char * | proxy
int | check_server_certificate
int | check_server_certificate_flag
int | check_proxy_certificate
int | check_proxy_certificate_flag
int | follow_redirect
char * | ca_path
unsigned long | timeout
struct sockaddr * | client_address
char * | auth_basic_user
char * | auth_basic_password
struct _u_map * | map_url
struct _u_map * | map_header
struct _u_map * | map_cookie
struct _u_map * | map_post_body
void * | binary_body
size_t | binary_body_length
unsigned int | callback_position
gnutls_x509_crt_t | client_cert
char * | client_cert_file
char * | client_key_file
char * | client_key_password

## Detailed Description

definition of the parameters available in a struct _u_request

## Field Documentation

## ◆ http_protocol

char* _u_request::http_protocol

## ◆ http_verb

char* _u_request::http_verb

## ◆ http_url

char* _u_request::http_url

## ◆ url_path

char* _u_request::url_path

## ◆ proxy

char* _u_request::proxy

## ◆ check_server_certificate

int _u_request::check_server_certificate

## ◆ check_server_certificate_flag

int _u_request::check_server_certificate_flag

## ◆ check_proxy_certificate

int _u_request::check_proxy_certificate

## ◆ check_proxy_certificate_flag

int _u_request::check_proxy_certificate_flag

## ◆ follow_redirect

int _u_request::follow_redirect

## ◆ ca_path

char* _u_request::ca_path

## ◆ timeout

unsigned long _u_request::timeout

## ◆ client_address

struct sockaddr* _u_request::client_address

## ◆ auth_basic_user

char* _u_request::auth_basic_user

## ◆ auth_basic_password

char* _u_request::auth_basic_password

## ◆ map_url

struct _u_map* _u_request::map_url

## ◆ map_header

struct _u_map* _u_request::map_header

## ◆ map_cookie

struct _u_map* _u_request::map_cookie

## ◆ map_post_body

struct _u_map* _u_request::map_post_body

## ◆ binary_body

void* _u_request::binary_body

## ◆ binary_body_length

size_t _u_request::binary_body_length

## ◆ callback_position

unsigned int _u_request::callback_position

## ◆ client_cert

gnutls_x509_crt_t _u_request::client_cert

## ◆ client_cert_file

char* _u_request::client_cert_file

## ◆ client_key_file

char* _u_request::client_key_file

## ◆ client_key_password

char* _u_request::client_key_password

The documentation for this struct was generated from the following file:

- include/ulfius.h